/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hlavny;

import java.io.IOException;
import java.io.InputStream;

/**
 *
 * @author Mikulas_s_capicu
 */
public class PrijimaciThread extends Thread {

    HlavneOkno aplikacia;

    public PrijimaciThread(HlavneOkno apl){
        aplikacia = apl;
    }

    @Override
    public void run() {
        while(prijmiSpravu());
    }

    public boolean prijmiSpravu(){
	try {
            InputStream is =  aplikacia.socket.getInputStream();
            int nbts = is.read() + (is.read() << 8);
            if (nbts < 0 ){
                return false;
            }
            byte bts[] = new byte[nbts];
            int i = 0; // how many bytes did we read so far
            do {
                int j = is.read(bts, i, bts.length - i);
                if (j > 0) i += j;
                else break;
		} while (i < bts.length);
                String s = new String(bts);
                aplikacia.spracujPrikaz(s);
            } catch (IOException e) {
            	return false;
            }
	return true;
    }
}